Bug 151914 - [PATCH] lang/perl5.12: Adjust man configuration for 9.0-current >= 900022
Summary: [PATCH] lang/perl5.12: Adjust man configuration for 9.0-current >= 900022
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: skv
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-03 12:30 UTC by Renato Botelho
Modified: 2010-12-06 10:00 UTC (History)
1 user (show)

See Also:


Attachments
perl-5.12.2_3.patch (2.98 KB, patch)
2010-11-03 12:30 UTC, Renato Botelho
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Renato Botelho freebsd_committer 2010-11-03 12:30:09 UTC
Man tools were updated on 900022 and manpath.config was replaced by
/usr/local/etc/man.d/*.conf. Adjust perl 5.12 port to install a perl.conf
instead of hacking manpath.config.

Similar change must be provided ffor perl 5.10 and 5.8 ports.

Added file(s):
- files/perl.conf.in

Port maintainer (skv@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2010-11-07 08:44:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->skv

Fix synopsis and assign.
Comment 2 Renato Botelho freebsd_committer 2010-11-11 16:06:47 UTC
State Changed
From-To: open->closed

Already fixed.
Comment 3 Renato Botelho freebsd_committer 2010-11-18 12:06:09 UTC
State Changed
From-To: closed->open

It's installing config file under /usr/local/etc/man.d, but, it is still 
hacking /etc/manpath.conf, that is obsolete on -current. The changes on 
files/use.perl that I had proposed on this PR should fix it. Reopening.
Comment 4 Renato Botelho freebsd_committer 2010-11-18 12:17:04 UTC
Here is a new patch for perl 5.8, 5.10 and 5.12, with all necessary
changes to use.perl to don't touch manpath.config on new -current.

Index: perl5.10/files/use.perl
===================================================================
RCS file: /home/pcvs/ports/lang/perl5.10/files/use.perl,v
retrieving revision 1.16
diff -u -r1.16 use.perl
--- perl5.10/files/use.perl	5 Nov 2010 05:40:55 -0000	1.16
+++ perl5.10/files/use.perl	18 Nov 2010 12:14:54 -0000
@@ -21,14 +21,23 @@
 	need_remove_links=%%LINK_USRBIN%%
 	need_create_links=%%LINK_USRBIN%%
 	need_cleanup_make_conf=yes
-	need_cleanup_manpath=yes
 	need_spam_make_conf=yes
-	need_spam_manpath=yes
 	need_post_install=yes
+	if [ "${osreldate}" -lt 900022 ]; then
+		need_cleanup_manpath=yes
+		need_spam_manpath=yes
+	else
+		need_cleanup_manpath=no
+		need_spam_manpath=no
+	fi
 elif [ "$2" = "POST-DEINSTALL" ] ; then
 	need_remove_links=%%LINK_USRBIN%%
 	need_cleanup_make_conf=yes
-	need_cleanup_manpath=yes
+	if [ "${osreldate}" -lt 900022 ]; then
+		need_cleanup_manpath=yes
+	else
+		need_cleanup_manpath=no
+	fi
 else
 	exit 0;
 fi
Index: perl5.12/files/use.perl
===================================================================
RCS file: /home/pcvs/ports/lang/perl5.12/files/use.perl,v
retrieving revision 1.17
diff -u -r1.17 use.perl
--- perl5.12/files/use.perl	5 Nov 2010 05:41:37 -0000	1.17
+++ perl5.12/files/use.perl	18 Nov 2010 12:14:54 -0000
@@ -21,14 +21,23 @@
 	need_remove_links=%%LINK_USRBIN%%
 	need_create_links=%%LINK_USRBIN%%
 	need_cleanup_make_conf=yes
-	need_cleanup_manpath=yes
 	need_spam_make_conf=yes
-	need_spam_manpath=yes
 	need_post_install=yes
+	if [ "${osreldate}" -lt 900022 ]; then
+		need_cleanup_manpath=yes
+		need_spam_manpath=yes
+	else
+		need_cleanup_manpath=no
+		need_spam_manpath=no
+	fi
 elif [ "$2" = "POST-DEINSTALL" ] ; then
 	need_remove_links=%%LINK_USRBIN%%
 	need_cleanup_make_conf=yes
-	need_cleanup_manpath=yes
+	if [ "${osreldate}" -lt 900022 ]; then
+		need_cleanup_manpath=yes
+	else
+		need_cleanup_manpath=no
+	fi
 else
 	exit 0;
 fi
Index: perl5.8/files/use.perl
===================================================================
RCS file: /home/pcvs/ports/lang/perl5.8/files/use.perl,v
retrieving revision 1.15
diff -u -r1.15 use.perl
--- perl5.8/files/use.perl	5 Nov 2010 05:39:59 -0000	1.15
+++ perl5.8/files/use.perl	18 Nov 2010 12:14:54 -0000
@@ -23,13 +23,22 @@
 		need_remove_links=%%LINK_USRBIN%%
 		need_create_links=%%LINK_USRBIN%%
 		need_cleanup_make_conf=yes
-		need_cleanup_manpath=yes
 		need_spam_make_conf=yes
-		need_spam_manpath=yes
+		if [ "${osreldate}" -lt 900022 ]; then
+			need_cleanup_manpath=yes
+			need_spam_manpath=yes
+		else
+			need_cleanup_manpath=no
+			need_spam_manpath=no
+		fi
 	elif [ "$1" = "system" ] ; then
 		need_remove_links=%%LINK_USRBIN%%
 		need_cleanup_make_conf=yes
-		need_cleanup_manpath=yes
+		if [ "${osreldate}" -lt 900022 ]; then
+			need_cleanup_manpath=yes
+		else
+			need_cleanup_manpath=no
+		fi
 	else
 		echo "Usage:
 	${0##*/} port       -> /usr/bin/perl is the perl5 port
@@ -41,14 +50,23 @@
 		need_remove_links=yes
 		need_create_links=yes
 		need_cleanup_make_conf=yes
-		need_cleanup_manpath=yes
 		need_spam_make_conf=yes
-		need_spam_manpath=yes
 		need_post_install=yes
+		if [ "${osreldate}" -lt 900022 ]; then
+			need_cleanup_manpath=yes
+			need_spam_manpath=yes
+		else
+			need_cleanup_manpath=no
+			need_spam_manpath=no
+		fi
 	elif [ "$2" = "POST-DEINSTALL" ] ; then
 		need_remove_links=yes
 		need_cleanup_make_conf=yes
-		need_cleanup_manpath=yes
+		if [ "${osreldate}" -lt 900022 ]; then
+			need_cleanup_manpath=yes
+		else
+			need_cleanup_manpath=no
+		fi
 	else
 		exit 0;
 	fi

-- 
Renato Botelho <garga     @ FreeBSD.org>
               <garga.bsd @ gmail.com>
GnuPG Key: http://www.FreeBSD.org/~garga/pubkey.asc

Immortality -- a fate worse than death.
		-- Edgar A. Shoaff
Comment 5 Renato Botelho freebsd_committer 2010-11-18 12:31:42 UTC
A simplified version, set variables to "no" is not necessary.

Index: perl5.10/files/use.perl
===================================================================
RCS file: /home/pcvs/ports/lang/perl5.10/files/use.perl,v
retrieving revision 1.16
diff -u -r1.16 use.perl
--- perl5.10/files/use.perl	5 Nov 2010 05:40:55 -0000	1.16
+++ perl5.10/files/use.perl	18 Nov 2010 12:30:33 -0000
@@ -21,14 +21,18 @@
 	need_remove_links=%%LINK_USRBIN%%
 	need_create_links=%%LINK_USRBIN%%
 	need_cleanup_make_conf=yes
-	need_cleanup_manpath=yes
 	need_spam_make_conf=yes
-	need_spam_manpath=yes
 	need_post_install=yes
+	if [ "${osreldate}" -lt 900022 ]; then
+		need_cleanup_manpath=yes
+		need_spam_manpath=yes
+	fi
 elif [ "$2" = "POST-DEINSTALL" ] ; then
 	need_remove_links=%%LINK_USRBIN%%
 	need_cleanup_make_conf=yes
-	need_cleanup_manpath=yes
+	if [ "${osreldate}" -lt 900022 ]; then
+		need_cleanup_manpath=yes
+	fi
 else
 	exit 0;
 fi
Index: perl5.12/files/use.perl
===================================================================
RCS file: /home/pcvs/ports/lang/perl5.12/files/use.perl,v
retrieving revision 1.17
diff -u -r1.17 use.perl
--- perl5.12/files/use.perl	5 Nov 2010 05:41:37 -0000	1.17
+++ perl5.12/files/use.perl	18 Nov 2010 12:30:33 -0000
@@ -21,14 +21,18 @@
 	need_remove_links=%%LINK_USRBIN%%
 	need_create_links=%%LINK_USRBIN%%
 	need_cleanup_make_conf=yes
-	need_cleanup_manpath=yes
 	need_spam_make_conf=yes
-	need_spam_manpath=yes
 	need_post_install=yes
+	if [ "${osreldate}" -lt 900022 ]; then
+		need_cleanup_manpath=yes
+		need_spam_manpath=yes
+	fi
 elif [ "$2" = "POST-DEINSTALL" ] ; then
 	need_remove_links=%%LINK_USRBIN%%
 	need_cleanup_make_conf=yes
-	need_cleanup_manpath=yes
+	if [ "${osreldate}" -lt 900022 ]; then
+		need_cleanup_manpath=yes
+	fi
 else
 	exit 0;
 fi
Index: perl5.8/files/use.perl
===================================================================
RCS file: /home/pcvs/ports/lang/perl5.8/files/use.perl,v
retrieving revision 1.15
diff -u -r1.15 use.perl
--- perl5.8/files/use.perl	5 Nov 2010 05:39:59 -0000	1.15
+++ perl5.8/files/use.perl	18 Nov 2010 12:30:33 -0000
@@ -23,13 +23,17 @@
 		need_remove_links=%%LINK_USRBIN%%
 		need_create_links=%%LINK_USRBIN%%
 		need_cleanup_make_conf=yes
-		need_cleanup_manpath=yes
 		need_spam_make_conf=yes
-		need_spam_manpath=yes
+		if [ "${osreldate}" -lt 900022 ]; then
+			need_cleanup_manpath=yes
+			need_spam_manpath=yes
+		fi
 	elif [ "$1" = "system" ] ; then
 		need_remove_links=%%LINK_USRBIN%%
 		need_cleanup_make_conf=yes
-		need_cleanup_manpath=yes
+		if [ "${osreldate}" -lt 900022 ]; then
+			need_cleanup_manpath=yes
+		fi
 	else
 		echo "Usage:
 	${0##*/} port       -> /usr/bin/perl is the perl5 port
@@ -41,14 +45,18 @@
 		need_remove_links=yes
 		need_create_links=yes
 		need_cleanup_make_conf=yes
-		need_cleanup_manpath=yes
 		need_spam_make_conf=yes
-		need_spam_manpath=yes
 		need_post_install=yes
+		if [ "${osreldate}" -lt 900022 ]; then
+			need_cleanup_manpath=yes
+			need_spam_manpath=yes
+		fi
 	elif [ "$2" = "POST-DEINSTALL" ] ; then
 		need_remove_links=yes
 		need_cleanup_make_conf=yes
-		need_cleanup_manpath=yes
+		if [ "${osreldate}" -lt 900022 ]; then
+			need_cleanup_manpath=yes
+		fi
 	else
 		exit 0;
 	fi

-- 
Renato Botelho <garga     @ FreeBSD.org>
               <garga.bsd @ gmail.com>
GnuPG Key: http://www.FreeBSD.org/~garga/pubkey.asc

Just because the message may never be
received does not mean it is not worth sending.
Comment 6 dfilter service freebsd_committer 2010-12-06 09:57:05 UTC
garga       2010-12-06 09:56:58 UTC

  FreeBSD ports repository

  Modified files:
    lang/perl5.10/files  use.perl 
    lang/perl5.12/files  use.perl 
    lang/perl5.8/files   use.perl 
  Log:
  Do not touch /etc/manpath.config on -CURRENT after man.d/perl.conf is used
  instead
  
  PR:             ports/151914
  Submitted by:   garga@
  Approved by:    skv@ (maintainer)
  
  Revision  Changes    Path
  1.17      +8 -4      ports/lang/perl5.10/files/use.perl
  1.18      +8 -4      ports/lang/perl5.12/files/use.perl
  1.16      +15 -7     ports/lang/perl5.8/files/use.perl
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Renato Botelho freebsd_committer 2010-12-06 09:57:33 UTC
State Changed
From-To: open->closed

Committed. Thanks!